package com.wechat.model.dto;

import com.wechat.activerequests.responses.WxBaseResponse;
import com.alibaba.fastjson.annotation.JSONField;

public class AuzAccesTokenDto extends WxBaseResponse {

	// openid
	@JSONField(name = "openid")
	private String openid;

	// 网页授权接口调用凭证,注意：此access_token与基础支持的access_token不同
	@JSONField(name = "access_token")
	private String accessToken;

	// 用户刷新access_token
	@JSONField(name = "refresh_token")
	private String refreshToken;

	// access_token接口调用凭证超时时间，单位（秒）
	@JSONField(name = "expires_in")
	private String expiresIn;

	// 用户授权的作用域，使用逗号（,）分隔
	@JSONField(name = "scope")
	private String scope;

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public String getRefreshToken() {
		return refreshToken;
	}

	public void setRefreshToken(String refreshToken) {
		this.refreshToken = refreshToken;
	}

	public String getExpiresIn() {
		return expiresIn;
	}

	public void setExpiresIn(String expiresIn) {
		this.expiresIn = expiresIn;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

}
